diff --git a/config/locales/devise/devise.nl.yml b/config/locales/devise/devise.nl.yml
new file mode 100644
index 0000000000000000000000000000000000000000..70a3c98daaca212df467b5f1378fec9866d93fae
--- /dev/null
+++ b/config/locales/devise/devise.nl.yml
@@ -0,0 +1,40 @@
+#   Copyright (c) 2010, Diaspora Inc.  This file is
+#   licensed under the Affero General Public License version 3 or later.  See
+#   the COPYRIGHT file.
+
+nl:
+  errors:
+    messages:
+      not_found: "niet gevonden"
+      already_confirmed: "is al geactiveerd"
+      not_locked: "is niet geblokeerd"
+
+  devise:
+    failure:
+      unauthenticated: "Log in of registeer om verder te gaan."
+      unconfirmed: "Activeer je account om verder te gaan."
+      locked: "Je account is geblokkeerd."
+      invalid: "Ongelding emailadres of wachtwoord."
+      invalid_token: "Ongeldige authenticatie token."
+      timeout: "Je sessie is verlopen, log opnieuw in om verder te gaan."
+      inactive: "Je account is nog niet geactiveerd."
+    sessions:
+      signed_in: "Je bent succesvol ingelogd."
+      signed_out: "Je bent succesvol uitgelogd."
+    passwords:
+      send_instructions: "Je ontvangt een email met instructies om je wachtwoord te resetten."
+      updated: "Je wachtwoord is veranderd. Je bent nu ingelogd."
+    confirmations:
+      send_instructions: "Je ontvangt een email met instructies om je account te activeren."
+      confirmed: "Je account is geactiveerd. Je bent nu ingelogd."
+    registrations:
+      signed_up: "Je bent succesvol registreerd. Wanneer activeerd, ontvang je een bevestigingsmail."
+      updated: "Je account is succelvol geupdated."
+      destroyed: "Tot ziens! Je account is succesvol verwijderd. We hopen je snel terug te zien."
+    unlocks:
+      send_instructions: "Je ontvangt een email met instructies om je account te deblokkeren."
+      unlocked: "Je account is succelvol gedeblokkeerd. Je bent nu ingelogd."
+    mailer:
+      confirmation_instructions: "Instructies om je account te activeren"
+      reset_password_instructions: "Instructies om je wachtwoord te resetten"
+      unlock_instructions: "Instructies om je account te deblokkeren"
\ No newline at end of file
diff --git a/config/locales/diaspora/nl.yml b/config/locales/diaspora/nl.yml
new file mode 100644
index 0000000000000000000000000000000000000000..efff23a9d06ee26089953642aff992503684a61f
--- /dev/null
+++ b/config/locales/diaspora/nl.yml
@@ -0,0 +1,208 @@
+#   Copyright (c) 2010, Diaspora Inc.  This file is
+#   licensed under the Affero General Public License version 3 or later.  See
+#   the COPYRIGHT file.
+
+# Sample localization file for English. Add more files in this directory for other locales.
+# See http://github.com/svenfuchs/rails-i18n/tree/master/rails%2Flocale for starting points.
+
+nl:
+  hello: "Hallo wereld"
+  application:
+      helper:
+          unknown_person: "onbekend persoon"
+          new_requests: "nieuwe verzoeken"
+  dashboards:
+      helper:
+          home: "home"
+  error_messages:
+      helper:
+          invalid_fields: "Ongeldige velden"
+          correct_the_following_errors_and_try_again: "Corrigeer de volgende fouten en probeer opnieuw."
+  people:
+      helper:
+           results_for: " resultaten voor %{params}"
+           people_on_pod_are_aware_of: " people on pod are aware of"    # No idea how to translate this!
+  layouts:
+      application:
+          edit_profile: "verander profiel"
+          logout: "uitloggen"
+  shared:
+      aspect_nav:
+          all_aspects: "Alle Aspecten"
+          manage: "Beheer"
+          manage_your_aspects: "Beheer je Aspecten"
+      sub_header:
+          all_aspects: "Alle Aspecten"
+          manage_aspects: "Beheer Aspecten"
+      publisher:
+          share: "Delen"
+      aspect_friends:
+          add_friends: "voeg vrienden toe"
+  albums:
+      album:
+          you: "jij"
+      new_album:
+          create: "maak"
+          add_a_new_album: "Maak een nieuw album"
+      show:
+          edit_album: "Verander Album"
+          albums: "albums"
+          updated: "geupdated"
+          by: "door"
+      edit:
+          editing: "Veranderen"
+          updated: "geupdated"
+          are_you_sure: "Weet je het zeker?"
+          delete_album: "Verwijder Album"
+          cancel: "Annuleer"
+      index:
+          home: "home"
+          new_album: "Nieuw Album"
+      create:
+          success: "Je hebt het album %{name} gemaakt."
+      update:
+          success: "Album %{name} succesvol veranderd."
+          failure: "Niet gelukt om album %{name} te veranderen."
+      destroy:
+          success: "Album %{name} verwijderd."
+      helper:
+          friends_albums: "Albums van Vrienden"
+          your_albums: "Jouw Albums"
+  aspects:
+      index:
+          photos: "foto's"
+      show:
+          photos: "foto's"
+      manage:
+          add_a_new_aspect: "Voeg een nieuw aspect toe"
+          add_a_new_friend:  "Voeg een nieuwe friend toe"
+          show: "Bekijk"
+          update_aspects: "Verander Aspects"
+          requests: "Aanvragen"
+          ignore_remove: "Negeer/Verwijderen"
+      new_aspect:
+          add_a_new_aspect: "Voeg een nieuw aspect toe"
+          create: "Aanmaken"
+      create:
+          success: "Klik op de plus aan de linkerkant om Diaspora te vertellen wie je nieuwe aspect kan zien."
+          failure: "Aanmaken van aspect mislukt."
+      destroy:
+          success: "%{name} is succesvol verwijderd."
+      update:
+          success: "Je aspect, %{name}, is succelvol aangepast."
+      move_friends:
+          failure: "Aanpassen van aspect is mislukt voor vriend %{real_name}."
+          success: "Aspect succesvol aangepast."
+      move_friend:
+          failure: "werkt niet %{inspect}"
+          success: "Je laat je vriend nu een ander aspect van je zien."
+      helper:
+          remove: "verwijderen"
+          aspect_not_empty: "Aspect niet leeg"
+  users:
+      edit:
+          editing_profile: "Verander profiel"
+      profile:
+          cancel: "Annuleren"
+          update_profile: "Verander Profiel"
+          home: "Home"
+          diaspora_username: "DIASPORA USERNAME"
+          info: "Info"
+          picture: "Foto"
+          editing_profile: "Verander profiel"
+          albums: "Albums"
+          you_dont_have_any_photos: "Je hebt nog geen foto's!  Ga naar de"
+          page_to_upload_some:  "pagina om er een aantal te uploaden."
+          or: "of"
+  comments:
+      comment:
+          ago: "geleden"
+      new_comment:
+          comment: "Reactie"
+  photos:
+      show:
+          prev: "vorige"
+          full_size: "volledige grootte"
+          next: "volgende"
+          edit_photo: "Verander Foto"
+          delete_photo: "Verwijder Foto"
+          are_you_sure: "Weet je het zeker?"
+          comments: "reacties"
+      edit:
+          editing: "Veranderen"
+          are_you_sure: "Weet je het zeker?"
+          delete_photo: "Verwijder Foto"
+      photo:
+          show_comments: "laat reacties zien"
+          posted_a_new_photo_to: "postte een nieuwe foto in"
+      new:
+          new_photo: "Nieuwe Foto"
+          back_to_list: "Terug naar de lijst"
+          post_it: "post het!"
+      create:
+          runtime_error: "Uploaden van foto mislukt. Weet je zeker dat je je gordel omhebt?"
+          integrity_error: "Uploaden van foto mislukt. Weet je zeker dat het een foto is?"
+          type_error: "Uploaden van foto mislukt. Weet je zeker dat er een foto was toegevoegd?"
+      update:
+          notice: "Foto succelvol veranderd."
+          error:  "Foto veranderen niet gelukt."
+      destroy:
+          notice: "Foto verwijderd."
+  registrations:
+      new:
+          sign_up: "Registeren"
+      create:
+          success: "Je bent nu lid van Diaspora!"
+  status_messages:
+      new_status_message:
+          tell_me_something_good: "vertel me iets leuks"
+          oh_yeah: "oh ja!"
+      status_message:
+          show_comments: "laat reacties zien"
+          delete: "Verwijder"
+          are_you_sure: "Weet je het zeker?"
+      show:
+          status_message: "Status Bericht"
+          comments: "reacties"
+          are_you_sure: "Weet je het zeker?"
+          destroy: "Verwijderen"
+          view_all: "Bekijk allen"
+          message: "Bericht"
+          owner: "Eigenaar"
+      helper:
+          no_message_to_display: "Geen bericht om te weergeven."
+  people:
+      person:
+          add_friend: "voeg vriend to"
+          pending_request: "openstaand verzoek"
+      index:
+          add_friend: "voeg vriend toe"
+          real_name: "echte naam"
+          diaspora_handle: "diaspora handle"
+          thats_you: "dat ben jij!"
+          friend_request_pending: "openstaand vriendenverzoek"
+          you_have_a_friend_request_from_this_person: "je hebt een vriendenverzoek van deze persoon"
+      new:
+          new_person: "Nieuwe persoon"
+          back_to_list: "Terug naar de lijst"
+      show:
+          last_seen: "voor het laast gezien: %{how_long_ago}"
+          friends_since: "vrienden sinds: %{how_long_ago}"
+          save: "opslaan"
+          are_you_sure: "Weet je het zeker?"
+          remove_friend: "verwijder vriend"
+  requests:
+      new_request:
+          add_a_new_friend_to: "Voeg een nieuwe vriend toe aan"
+          enter_a_diaspora_username: "Voer een Diaspora gebruikersnaam in:"
+          your_diaspora_username_is: "Je Diaspora gebruikersnaam is: %{diaspora_handle}"
+          friends_username: "Gebruikersnaam van vriend"
+      destroy:
+          success: "Jullie zijn nu vrienden."
+          error: "Selecteer een aspect!"
+          ignore: "Vriendenverzoek genegeerd."
+      create:
+          error: "Geen Diaspora seed met dit emailadres gevonden!"
+          already_friends: "Je bent al vrienden met %{destination_url}!"
+          success: "Een vriendenverzoek is verstuurd naar %{destination_url}."
+          horribly_wrong: "Iets is totaal verkeerd gegaan."
diff --git a/pkg/fedora/.bundle/config b/pkg/fedora/.bundle/config
deleted file mode 100644
index 1c3e2cedfba380644aaa579fb3b6c352222bfb81..0000000000000000000000000000000000000000
--- a/pkg/fedora/.bundle/config
+++ /dev/null
@@ -1,5 +0,0 @@
---- 
-BUNDLE_FROZEN: "1"
-BUNDLE_DISABLE_SHARED_GEMS: "1"
-BUNDLE_WITHOUT: test:rdoc
-BUNDLE_PATH: vendor/bundle
diff --git a/pkg/fedora/diaspora-bundle.spec b/pkg/fedora/diaspora-bundle.spec
index 27abb2b452a6d0d40e98c4cc9fa76de650a10c7c..49d1e714f886439a2a03a90f4d75748fcf3fc5b3 100644
--- a/pkg/fedora/diaspora-bundle.spec
+++ b/pkg/fedora/diaspora-bundle.spec
@@ -1,5 +1,9 @@
-%define         git_release     1010040945_a09a6d8
-# Turn off the brp-python-bytecompile script
+%define         git_release     HEAD
+
+# Turn off java repack, this is in in /usr/lib[64] anyway
+%define         __jar_repack    %{nil}
+
+# Turn off the brp-python-bytecompile script, *pyc/pyo causes problems
 %global __os_install_post %(echo '%{__os_install_post}' | 
        sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')
 
@@ -109,7 +113,7 @@ pushd bundle/ruby/1.8/
         ln -s ../ext/thin_parser/thin_parser.so .
     popd
 
-    pushd gems/bson_ext-1.0.7/ext/bson_ext
+    pushd gems/bson_ext-1.1/ext/bson_ext
         rm cbson.so
         ln -s ../cbson/cbson.so .
     popd
@@ -153,7 +157,7 @@ pushd bundle/ruby/1.8/
         ln -s ../ext/trace_nums.so .
     popd
 
-    pushd bundler/gems/em-http-request-6f66010cda90/lib
+    pushd bundler/gems/em-http-request-*/lib
         rm em_buffer.so
         ln -s ../ext/buffer/em_buffer.so .
         rm http11_client.so
@@ -161,16 +165,20 @@ pushd bundle/ruby/1.8/
     popd
 popd
 
+
+
 %pre
 getent group diaspora >/dev/null || groupadd -r diaspora
-getent passwd diaspora >/dev/null ||       \
-    useradd -r -g apache                 \
+getent passwd diaspora >/dev/null ||        \
+    useradd -r -g diaspora                  \
     -md  /var/lib/diaspora -s /sbin/nologin \
     -c "Diaspora daemon" diaspora
 exit 0
 
 
 %install
+[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
+
 find . -name .git | xargs rm -rf
 find . -name .gitignore -delete
 find . -name \*.o -delete  || :
@@ -190,7 +198,6 @@ pushd bundle/ruby/1.8/gems/selenium-webdriver-0.0.28/lib/selenium/webdriver/
 popd
 }
 
-[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
 mkdir -p $RPM_BUILD_ROOT/%{_libdir}/diaspora-bundle/master/vendor
 
 cp -ar  bundle $RPM_BUILD_ROOT/%{_libdir}/diaspora-bundle/master/vendor
diff --git a/pkg/fedora/diaspora-reset b/pkg/fedora/diaspora-reset
index f9315b37db4ba696fafcbc216421b54031e504c4..5557a645c4dbb9ea6c009205aab83d565cbdc460 100755
--- a/pkg/fedora/diaspora-reset
+++ b/pkg/fedora/diaspora-reset
@@ -1,11 +1,14 @@
 #!/bin/sh
-
+#
+# Try to revert to pristine state, deleting all users and
+# configuration
 
 set -x
 service mongod stop
 service diaspora-ws stop
-rm -rf /var/lib/mongod/*
+rm -rf /var/lib/mongodb/*
 cp /usr/share/diaspora/master/config/app_config.yml.example \
   /usr/share/diaspora/master/config/app_config.yml
 service mongod start
 
+
diff --git a/pkg/fedora/diaspora-setup b/pkg/fedora/diaspora-setup
index e92a2610e30b9a1a2f50f8fdf3a79728e761b577..23eb420d5e16ea6da320c0b662820e44817155a4 100755
--- a/pkg/fedora/diaspora-setup
+++ b/pkg/fedora/diaspora-setup
@@ -12,7 +12,6 @@ test $UID = "0" || {
     exit 2
 }
 
-# Note: this line is patched by installation scripts.
 cd /usr/share/diaspora/master
 
 /sbin/service mongod start || :
@@ -21,16 +20,16 @@ test -e config/app_config.yml ||
     cp config/app_config.yml.example config/app_config.yml
 
 if rake db:seed:dev; then
-    echo "Database config OK, new user tom/evankort in place"
+    echo "Database config OK, new user tom/evankorth in place"
 else
     cat <<- EOF
 
-        Database config failed. You might want to remove all db files with
-        'rm -rf /var/lib/mongodb/*' and/or resetting the config file by
-        'cp config/app_config.yml.example config/app_config.yml' before
-        making a new try. Also, make sure the mongodb server is running
-        e. g., using '/sbin/service mongod status'.
-        EOF
+	Database config failed. You might want to remove all db files with
+	'rm -rf /var/lib/mongodb/*' and/or resetting the config file by
+	'cp config/app_config.yml.example config/app_config.yml' before
+	making a new try. Also, make sure the mongodb server is running
+	e. g., using '/sbin/service mongod status'.
+	EOF
     exit 1
 fi
 
diff --git a/pkg/fedora/diaspora-ws b/pkg/fedora/diaspora-ws
index 6208acc1c112b7f7c43d14be94bac5902ba9b7c5..90dc28f8fe4b69c740e8d96d2b5d053d03161d14 100755
--- a/pkg/fedora/diaspora-ws
+++ b/pkg/fedora/diaspora-ws
@@ -27,6 +27,7 @@ if [ -f /etc/sysconfig/diaspora-ws -a $UID -eq 0 ]; then
     . /etc/sysconfig/diaspora-ws
 fi
 
+# Note: this line is patched by installation scripts.
 cd  /usr/share/diaspora
 
 RETVAL=0
diff --git a/pkg/fedora/diaspora.logconf b/pkg/fedora/diaspora.logconf
index 48eca391602e7234fe22397a84f4acb5d6722b0c..767c2d7a26b2e5ff2bb4c509a852583d475adf17 100644
--- a/pkg/fedora/diaspora.logconf
+++ b/pkg/fedora/diaspora.logconf
@@ -1,5 +1,5 @@
 /var/log/diaspora/*.log {
-       create 755 diaspora apache
+       create 755 diaspora diaspora
        weekly
        rotate 10
        copytruncate
diff --git a/pkg/fedora/diaspora.spec b/pkg/fedora/diaspora.spec
index 6796f4e11754a77d0baadc58293562f69b48fe80..533f170d31705e68dd69272a71a6d02ec6c4d25c 100644
--- a/pkg/fedora/diaspora.spec
+++ b/pkg/fedora/diaspora.spec
@@ -1,4 +1,4 @@
-%global         debug_package %{nil} 
+%global         debug_package   %{nil} 
 %define         git_release     HEAD
 
 Summary:        A social network server
@@ -14,34 +14,10 @@ Source1:        diaspora-ws
 Source2:        diaspora-setup
 BuildArch:      noarch
 
-BuildRequires:  git
-
 Requires:       mongodb-server
 Requires:       ruby(abi) = 1.8
 Requires:       diaspora-bundle = %{version}
 
-# rubygem-term-ansicolor  in repo (1.0.5)
-# rubygem-abstract:       in repo (1.0)
-# rubygem-actionpack      in repo (2.3.5), rawhide (2.3.8)
-# rubygem-builder         in repo (2.1.2)
-# rubygem-columnize       in repo (0.3.1)
-# rubygem-crack           in repo (0.1.8)
-# rubygem-cucumber        in repo (0.9.0)
-# diff-lcs                in rep  (1.1.2)
-# eventmachine            in repo (0.12.10)
-# gherkin                 in repo (2.2.4)
-# rubygem-json            in repo (1.1.9), rawhide(1.4.6)
-# rubygem-linecache       in repo (0.43)
-# rubygem-mime-types      in repo (1.16)
-# rubygem-mocha           in repo (0.9.8)
-# rubygem-net-ssh         in repo (2.0.23)
-# rubygem-nokogiri        in repo (1.4.3.1)
-# rubygem-rake            in repo (0.8.7)
-# rubygem-ruby-debug      in repo (0.10.4)
-# rubygem-ruby-debug-base in repo (0.10.4)
-# rubygem-term-ansicolor  in repo (1.0.5)
-# rubygem-thin            in repo(1.2.5), rawhide(1.2.7)
-# rubygem-uuidtools       in repo(2.1.1)
 
 %description
 A privacy aware, personally controlled, do-it-all and
@@ -120,5 +96,28 @@ fi
 %{_sysconfdir}/init.d/diaspora-ws
 
 %changelog
-* Fri Sep 24 2010 Alec Leamas  <leamas.alec@gmail.com>       1.1009280542_859ec2d
+* Fri Sep 24 2010 Alec Leamas  <leamas.alec@gmail.com>  0.0-1.1009280542_859ec2d
   - Initial attempt to create a spec fi+le
+
+# rubygem-term-ansicolor  in repo (1.0.5)
+# rubygem-abstract:       in repo (1.0)
+# rubygem-actionpack      in repo (2.3.5), rawhide (2.3.8)
+# rubygem-builder         in repo (2.1.2)
+# rubygem-columnize       in repo (0.3.1)
+# rubygem-crack           in repo (0.1.8)
+# rubygem-cucumber        in repo (0.9.0)
+# diff-lcs                in rep  (1.1.2)
+# eventmachine            in repo (0.12.10)
+# gherkin                 in repo (2.2.4)
+# rubygem-json            in repo (1.1.9), rawhide(1.4.6)
+# rubygem-linecache       in repo (0.43)
+# rubygem-mime-types      in repo (1.16)
+# rubygem-mocha           in repo (0.9.8)
+# rubygem-net-ssh         in repo (2.0.23)
+# rubygem-nokogiri        in repo (1.4.3.1)
+# rubygem-rake            in repo (0.8.7)
+# rubygem-ruby-debug      in repo (0.10.4)
+# rubygem-ruby-debug-base in repo (0.10.4)
+# rubygem-term-ansicolor  in repo (1.0.5)
+# rubygem-thin            in repo(1.2.5), rawhide(1.2.7)
+# rubygem-uuidtools       in repo(2.1.1)
diff --git a/pkg/fedora/make-dist.sh b/pkg/fedora/make-dist.sh
index 5e9b9d8695ad37e6d6f8fbc39b26851e6d0de13a..d8407ab9d96ad576cf79db0d792ce01368dc56ba 100755
--- a/pkg/fedora/make-dist.sh
+++ b/pkg/fedora/make-dist.sh
@@ -1,15 +1,10 @@
 #!/bin/bash
 
-#Usage: See  function usage() at bottom.
-#
-#
 # Create a diaspora distribution
 #
-# Builds a diaspora distribution containing the application and bundled
-# libraries. Normally checks out latest version of the master branch.
+# Usage: See  function usage() at bottom.
 #
 GIT_REPO='http://github.com/diaspora/diaspora.git'
-RELEASE='HEAD'
 VERSION='0.0'
 
 function git_id
@@ -52,8 +47,9 @@ function git_id
 
 function fix_alphatag()
 #  Patch version on top comment first id line:
-#  Usage: fix_alphatag <file> <version> <commi_id>
-#* Fri Sep 24 2010 name surname  <email@com>     1.20100925_faf234320
+#  Usage: fix_alphatag <file> <version> <commit_id>
+#  Patches:\
+#       *   Fri Sep 24 2010 name surname <email@com> 1.20100925_faf23207
 {
     dist=$(rpm --eval %dist)
     awk  -v dist="$dist" -v version="$2" -v release="$3"  \
@@ -70,40 +66,40 @@ function fix_alphatag()
                           next
                         }
                         { print }' \
-    < $1 > $1.tmp && cp $1.tmp $1 && rm $1.tmp
+    < $1 > $1.tmp && mv -f $1.tmp $1 
 }
 
 function fix_bundle_deps
-# usage: fix_bundle_deps <specfile> <version> release
-# Patches Requires:   diaspora-bundle = 0.0-20101021-aefsf323148
+# usage: fix_bundle_deps <specfile> <version> <release>
+# Patches: Requires:   diaspora-bundle = 0.0-20101021-aefsf323148
 {
-	awk -v vers="$2-$3" \
-		' /Requires:/ { if ($2 == "diaspora-bundle")
-				    printf( "%s	%s = %s\n", $1,$2,vers)
-				else
-				    print				    
-				next
-			       }
-			       { print}' \
-             < $1 > $1.tmp && cp $1.tmp $1 && rm $1.tmp			    
+        awk -v vers="$2-$3" \
+                ' /Requires:/ { if ($2 == "diaspora-bundle")
+                                    printf( "%s %s = %s\n", $1,$2,vers)
+                                else
+                                    print
+                                next
+                               }
+                               { print}' \
+             < $1 > $1.tmp && mv -f  $1.tmp $1 
 }
 
 function patch()
-# Patch git_release, Requires: diaspora-bundle and top comment version.
+# Patch  spec-files with current version-release
 # Usage: patch VERSION RELEASE
 {
-	sed -e "/^%define/s|HEAD|$2|"                  \
+        sed -e "/^%define/s|HEAD|$2|"                  \
             -e '/^Version:/s|.*|Version:        '$1'|' \
                 <diaspora.spec >dist/diaspora.spec                              
-	fix_alphatag dist/diaspora.spec $1 $2
-	#mkdir dist/diaspora/tmp || :
-	bundle_id=$(git_id dist/diaspora/Gemfile)
-	fix_bundle_deps  dist/diaspora.spec $1 "1.$bundle_id.fc13"
-	sed -e "/^%define/s|HEAD|$bundle_deps|"        \
+        fix_alphatag dist/diaspora.spec $1 $2
+        bundle_id=$(git_id dist/diaspora/Gemfile)
+        dist_tag=$(rpm --eval %dist)
+        fix_bundle_deps  dist/diaspora.spec $1 "1.${bundle_id}$dist_tag"
+        sed -e "/^%define/s|HEAD|$bundle_id|"          \
             -e '/^Version:/s|.*|Version:        '$1'|' \
                 < diaspora-bundle.spec > dist/diaspora-bundle.spec
-	
-	cp dist/diaspora.spec dist/diaspora/diaspora.spec
+        
+        cp dist/diaspora.spec dist/diaspora/diaspora.spec
 }
 
 function checkout()
@@ -121,10 +117,9 @@ function checkout()
                  git remote add upstream \
                      git://github.com/diaspora/diaspora.git
                  for p in ../../*.patch; do
-                     git apply --whitespace=fix  $p   > /dev/null
+                     git apply --whitespace=fix  $p  > /dev/null
                  done
              )
-         
         }
         cd diaspora; 
         git fetch --quiet upstream 
@@ -137,21 +132,29 @@ function checkout()
 
 function make_dist
 # Create a distribution tarball
+# Usage:  make dist [ commit, defaults to HEAD]
 {
     commit=$(checkout ${1:-'HEAD'})
     echo "Creating source tarball for $commit"
     patch $VERSION $commit 
-	
+
     RELEASE_DIR="diaspora-$VERSION-$commit"
     rm -rf dist/${RELEASE_DIR} 
     mkdir dist/${RELEASE_DIR}
     cp diaspora-ws diaspora-setup diaspora.logconf dist/${RELEASE_DIR}
     cd dist
-    mkdir ${RELEASE_DIR}/master
-    cp -ar diaspora/*  diaspora/.git* diaspora/.bundle  ${RELEASE_DIR}/master	
-    mv  ${RELEASE_DIR}/master/diaspora.spec  ${RELEASE_DIR}
-    ( cd  ${RELEASE_DIR}; find . -name .gitkeep -delete)
-    tar czf ${RELEASE_DIR}.tar.gz  ${RELEASE_DIR} && rm -rf ${RELEASE_DIR}
+        mkdir ${RELEASE_DIR}/master
+        cp -ar diaspora/*  diaspora/.git* ${RELEASE_DIR}/master
+        mv  ${RELEASE_DIR}/master/diaspora.spec  ${RELEASE_DIR}
+        (
+             cd  ${RELEASE_DIR};
+             find . -name .gitkeep -delete
+             cd master
+             rm -rf .bundle
+             git apply ../../../add-bundle.patch
+        )
+        tar czf ${RELEASE_DIR}.tar.gz  ${RELEASE_DIR} && \
+            rm -rf ${RELEASE_DIR}
     cd ..
     echo "Source:           dist/${RELEASE_DIR}.tar.gz"
     echo "Required bundle:  $(git_id dist/diaspora/Gemfile)"
@@ -160,25 +163,28 @@ function make_dist
 }
 
 function make_bundle()
+# Create the bundle tarball
+# Usage:  make_bundle [ commit, defaults to HEAD]
+#
 {
     checkout ${1:-'HEAD'} >/dev/null
     bundle_id=$(git_id dist/diaspora/Gemfile)
     bundle_name="diaspora-bundle-$VERSION-$bundle_id"
     test -e  "dist/$bundle_name.tar.gz" || {
         echo "Creating bundle $bundle_name"
-       	cd dist
-	    rm -rf $bundle_name 
-	    mkdir -p $bundle_name/bundle
-	    pushd diaspora > /dev/null
-                test -e ../../Gemfile.lock.patch &&
-		    git apply ../../Gemfile.lock.patch > /dev/null 2>&1
-	        bundle install --deployment                      \
+        cd dist
+            rm -rf $bundle_name 
+            mkdir -p $bundle_name/bundle
+            pushd diaspora > /dev/null
+                bundle install --deployment                      \
                                --path="../$bundle_name/bundle"   \
                                --without=test rdoc
 
-	        cp -ar AUTHORS Gemfile GNU-AGPL-3.0 COPYRIGHT "../$bundle_name"
-            popd
+                cp -ar AUTHORS Gemfile GNU-AGPL-3.0 COPYRIGHT \
+                       "../$bundle_name"
+            popd > /dev/null
             tar czf $bundle_name.tar.gz $bundle_name
+        cd ..
     }
     echo 
     echo "Bundle: dist/$bundle_name.tar.gz"
@@ -213,18 +219,18 @@ function make_links()
 
 function usage()
 {
-    	cat <<- EOF
+        cat <<- EOF
 
-		Usage: make-dist [-c commit] <dist|bundle|links>
+	Usage: make-dist [-c commit] <dist|bundle|links>
 
-		-c             Use a given commit, defaults to last checked in.
-		dist           Build a diaspora application tarball.
-		bundle         Build a bundler(1) bundle for diaspora.
-		links          Symlink bundle and source tarballs to rpm source dir.
-		
-		All results are stored in dist/
+	-c             Use a given commit, defaults to last checked in.
+	dist           Build a diaspora application tarball.
+	bundle         Build a bundler(1) bundle for diaspora.
+	links          Symlink bundle and source tarballs to rpm source dir.
+	
+	All results are stored in dist/
 	EOF
-}		
+}
 
 
 test "$1" = "-h"  -o $# = 0 && {
@@ -242,25 +248,25 @@ test "$1" = "-c" && {
 }
     
     
- case $1 in
+case $1 in
  
-     "bundle")  make_bundle $commit
-                ;;
+    "bundle")  make_bundle $commit
+               ;;
 
-     'source')  make_dist $commit
-                ;;
+    'source')  make_dist $commit
+               ;;
 
-     'links')   make_links $commit
-                ;;
+    'links')   make_links $commit
+               ;;
 
-     "fix_gemfile")
-                fix_gemfile
-                ;;
+    "fix_gemfile")
+               fix_gemfile
+               ;;
                 
-            *)  usage
-                exit 1
-                ;;
- esac
+           *)  usage
+               exit 1
+               ;;
+esac